Skip to main content
GET
Search and filter Pique Campaigns

Authorizations

Authorization
string
header
required

Bearer token authentication

Headers

x-workspace-id
string

Workspace ID to perform the operation in. If not provided, system will use the first one assigned to the user

Pattern: ^[a-zA-Z0-9-_]+$

Query Parameters

query
string

Search keyword to filter campaigns by name (case-insensitive)

Maximum string length: 255
cursor
string

Pagination cursor for fetching the next set of results. Use the 'cursor' value from the previous response.

limit
integer

Number of campaigns to return per page (1-20, max 20)

Required range: 1 <= x <= 20
statusList
enum<string>[]

Filter campaigns by status. Multiple values allowed.

Available options:
Prepping,
InProgress,
Completed,
Paused,
NotStarted,
Canceled
typeList
enum<string>[]

Filter campaigns by type. Multiple values allowed.

Available options:
BoostedPost,
SyndicatedContent
id
string

Filter by specific campaign ID

Pattern: ^[a-zA-Z0-9-_]+$
ids
string[]

Filter by a list of campaign IDs

Response

Successfully retrieved campaigns

items
any[]
cursor
string
hasMore
boolean